githubEdit

Prices

get

Retrieves the price data for a given ticker symbol.

Authorizations
AuthorizationstringRequired
Path parameters
tickerstringRequired
  • The ticker symbol of the company.
Query parameters
intervalstring · enumRequired

Represents the price interval for historical price data.

Possible values:
interval_multipliernumber · doubleRequired
  • The interval multiplier of the price data.
start_datestringRequired
  • The start date of the price data.
end_datestringRequired
  • The end date of the price data.
limitnumber · doubleOptional
  • The maximum number of price data to return.
Header parameters
AuthorizationstringRequired
  • The authorization token.
Responses
chevron-right
200

A promise that resolves to a PricesAPIResponse object containing the price data.

application/json
get
/financial-datasets/prices/{ticker}
200

A promise that resolves to a PricesAPIResponse object containing the price data.